Debian Bug report logs - #590992
pkg-config search path puts arch triplet in the wrong place

version graph

Package: pkg-config; Maintainer for pkg-config is Tollef Fog Heen <tfheen@debian.org>; Source for pkg-config is src:pkg-config.

Reported by: Steve Langasek <vorlon@debian.org>

Date: Fri, 30 Jul 2010 19:57:01 UTC

Severity: important

Found in versions pkg-config/0.25-1, pkg-config/0.25-1.1

Fixed in version pkg-config/0.26-1

Done: Tollef Fog Heen <tfheen@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Tollef Fog Heen <tfheen@debian.org>:
Bug#590992; Package pkg-config. (Fri, 30 Jul 2010 19:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
New Bug report received and forwarded. Copy sent to Tollef Fog Heen <tfheen@debian.org>. (Fri, 30 Jul 2010 19:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: pkg-config search path puts arch triplet in the wrong place
Date: Fri, 30 Jul 2010 12:55:16 -0700
Package: pkg-config
Version: 0.25-1
Severity: important
User: multiarch-devel@lists.alioth.debian.org
Usertags: multiarch

The search path for pkg-config .pc config files includes
architecture-qualified directories, but doesn't put these architecture
qualifiers in the place expected under multiarch.  e.g.:
/usr/local/lib/pkgconfig:/usr/local/lib/pkgconfig/i486-linux-gnu:/usr/local/share/pkgconfig:/usr/lib/pkgconfig:/usr/lib/pkgconfig/i486-linux-gnu:/usr/share/pkgconfig

A multiarch path would be /usr/lib/i486-linux-gnu/pkgconfig, not
/usr/lib/pkgconfig/i486-linux-gnu.

As most libraries that try to implement multiarch using autoconf will do
this by passing --libdir=/usr/lib/$(DEB_GNU_HOST_TYPE), not having multiarch
paths in the search path will make for a significant implementation burden
when switching to multiarch.  Indeed, I've already run into this problem
with libselinux, which doesn't even use autoconf.  Could you please swap
these paths for the multiarch /usr/lib/$(DEB_GNU_HOST_TYPE)/pkgconfig ones?

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing'), (500, 'stable')
Architecture: armel (armv5tel)

Kernel: Linux 2.6.30-1-iop32x
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Tollef Fog Heen <tfheen@debian.org>:
Bug#590992; Package pkg-config. (Tue, 29 Mar 2011 12:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@debian.org>:
Extra info received and forwarded to list. Copy sent to Tollef Fog Heen <tfheen@debian.org>. (Tue, 29 Mar 2011 12:09:02 GMT) Full text and rfc822 format available.

Message #10 received at 590992@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: 590992@bugs.debian.org
Subject: Re: Bug#590992: pkg-config search path puts arch triplet in the wrong place
Date: Tue, 29 Mar 2011 13:00:27 +0100
tags 590992 + patch
thanks

On Fri, 30 Jul 2010 at 12:55:16 -0700, Steve Langasek wrote:
> Could you please swap
> these paths for the multiarch /usr/lib/$(DEB_GNU_HOST_TYPE)/pkgconfig ones?

For the record, this is now /usr/lib/$(DEB_HOST_MULTIARCH) with dpkg >= 1.16.0
(they differ on i386). Ubuntu has a minimal patch.

This bug is blocked by upload of dpkg 1.16 for DEB_HOST_MULTIARCH, which
sadly doesn't seem to have a bug number. See also
http://wiki.debian.org/Multiarch/Bootstrapping

    S




Information forwarded to debian-bugs-dist@lists.debian.org, Tollef Fog Heen <tfheen@debian.org>:
Bug#590992; Package pkg-config. (Sat, 02 Apr 2011 05:51:39 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <steve.langasek@canonical.com>:
Extra info received and forwarded to list. Copy sent to Tollef Fog Heen <tfheen@debian.org>. (Sat, 02 Apr 2011 05:51:39 GMT) Full text and rfc822 format available.

Message #15 received at 590992@bugs.debian.org (full text, mbox):

From: Steve Langasek <steve.langasek@canonical.com>
To: Debian Bug Tracking System <590992@bugs.debian.org>
Subject: Re: pkg-config search path puts arch triplet in the wrong place
Date: Fri, 01 Apr 2011 22:42:11 -0700
[Message part 1 (text/plain, inline)]
Package: pkg-config
Version: 0.25-1.1
Severity: normal
Tags: patch
User: ubuntu-devel@lists.ubuntu.com
Usertags: natty ubuntu-patch

Hi Tollef,

Attached is the patch from Ubuntu for this bug.  Now that dpkg 1.16.0 is
uploaded to unstable, it's safe to upload this to the archive as well. 
Changelog entry from the Ubuntu upload:

  * Switch to multiarch triplets instead of using GNU triplets; and use
    directories of the form /usr/lib/$(triplet)/pkgconfig, not
    /usr/lib/pkgconfig/$(triplet), since that's what autoconf and --libdir
    give us everywhere.  Closes: #590992.

This needs to be fixed before we can progress much farther with multiarch in
the archive, so please let me know if you would like me to NMU for this.

Thanks,
-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[tmp1tpulD (text/plain, attachment)]

Added indication that bug 590992 blocks 623765 Request was from Sven Eckelmann <sven@narfation.org> to control@bugs.debian.org. (Fri, 22 Apr 2011 20:54:07 GMT) Full text and rfc822 format available.

Added indication that bug 590992 blocks 623766 Request was from Sven Eckelmann <sven@narfation.org> to control@bugs.debian.org. (Fri, 22 Apr 2011 20:54:09 GMT) Full text and rfc822 format available.

Reply sent to Tollef Fog Heen <tfheen@debian.org>:
You have taken responsibility. (Sun, 15 May 2011 13:36:15 GMT) Full text and rfc822 format available.

Notification sent to Steve Langasek <vorlon@debian.org>:
Bug acknowledged by developer. (Sun, 15 May 2011 13:36:16 GMT) Full text and rfc822 format available.

Message #24 received at 590992-close@bugs.debian.org (full text, mbox):

From: Tollef Fog Heen <tfheen@debian.org>
To: 590992-close@bugs.debian.org
Subject: Bug#590992: fixed in pkg-config 0.26-1
Date: Sun, 15 May 2011 13:33:28 +0000
Source: pkg-config
Source-Version: 0.26-1

We believe that the bug you reported is fixed in the latest version of
pkg-config, which is due to be installed in the Debian FTP archive:

pkg-config_0.26-1.diff.gz
  to main/p/pkg-config/pkg-config_0.26-1.diff.gz
pkg-config_0.26-1.dsc
  to main/p/pkg-config/pkg-config_0.26-1.dsc
pkg-config_0.26-1_amd64.deb
  to main/p/pkg-config/pkg-config_0.26-1_amd64.deb
pkg-config_0.26.orig.tar.gz
  to main/p/pkg-config/pkg-config_0.26.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 590992@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Tollef Fog Heen <tfheen@debian.org> (supplier of updated pkg-config package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 15 May 2011 14:37:09 +0200
Source: pkg-config
Binary: pkg-config
Architecture: source amd64
Version: 0.26-1
Distribution: unstable
Urgency: low
Maintainer: Tollef Fog Heen <tfheen@debian.org>
Changed-By: Tollef Fog Heen <tfheen@debian.org>
Description: 
 pkg-config - manage compile and link flags for libraries
Closes: 217902 389066 398901 475031 482884 576320 590992
Changes: 
 pkg-config (0.26-1) unstable; urgency=low
 .
   * New upstream release
     - Updated usage message.  Closes: #389066
     - Fixes old bug.  Closes: #475031
     - Allows PKG_CONFIG_LIBDIR.  Closes: #398901
     - Man page documents how to get the default search path.
       Closes: #576320
   * Switch to multiarch paths.  Thanks to Steve Langasek for the patch.
     Closes: #590992
   * Strip out multiarch library paths.  Closes: #482884
   * Drop a cross wrapper into /usr/share.  Thanks to Wookey for the
     implementation.   Closes: #217902
   * Re-add two missing lines in Changelog which were accidentially
     removed.
Checksums-Sha1: 
 8e3ea35c6cc1e6ede1f595d8aae4ab79ba25c0cf 1679 pkg-config_0.26-1.dsc
 fd71a70b023b9087c8a7bb76a0dc135a61059652 396399 pkg-config_0.26.orig.tar.gz
 47a4391e1dd532a6dca7d32e61cb66a94d4f8b2c 4866 pkg-config_0.26-1.diff.gz
 e099963dea542d6e9edcb9e09e1db5393fb88bd1 59502 pkg-config_0.26-1_amd64.deb
Checksums-Sha256: 
 946380edc59d586adb7c2dbac84314380c5a6761b4ee5f5ae1c152eb6703235a 1679 pkg-config_0.26-1.dsc
 94c1936a797c930fb3e4e5a154165b6268caba22b32d24083dd4c492a533c8af 396399 pkg-config_0.26.orig.tar.gz
 69d93e4866a8977ad8a465cabd09b0361c1b93e109c81ff46850f0b2fc29591d 4866 pkg-config_0.26-1.diff.gz
 cd2073c893b10135efa9650d7679d8d9ebdb156e6cf576d9222b4c36f0e229f5 59502 pkg-config_0.26-1_amd64.deb
Files: 
 3d1f34f0ae0670cf5f70e54c01d8888c 1679 devel optional pkg-config_0.26-1.dsc
 47525c26a9ba7ba14bf85e01509a7234 396399 devel optional pkg-config_0.26.orig.tar.gz
 ce641f17553792a5b01245f06aee590f 4866 devel optional pkg-config_0.26-1.diff.gz
 b790a7f1146ceede7903308cb89a0bbe 59502 devel optional pkg-config_0.26-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJNz9P3AAoJELZaSHHKGdcXdF8P/2TlKx/gUgq/47hUsKmIA7EN
KmhRw6zaBb7MuMwZLkDmptV352OAnbbWZiHvJ30Da9IPM0Re21IcRZRO7PUwSXEY
+5E8aZhstOhYl9IX0P1XHeR62MsMrajSbzjy8oe7t+WaURbhyjqHFtu23AD5G/1P
kYinKv4Mo+z2DYl7l/6m9vrfAlKAoixpQeAzo4K1IWXrHqVdvkEuqkF85997mu1Q
sxazNl0VibwHbvmdjIugvM2OgWWE1on8eW0vbhbdQ//wEMbCgQYDcOI2UeOR2Zfr
Xz+ShMfnApd5T3fZGItNItQiyuy8s+6KW7K6cmWAK7aNDvduWUnBpOvJpkg0SZk5
bLGbGgJ0rmczJzJyQe9OcVmmiozgEkqd+aHg5HuoKeK+HRF7mtkbUC8n3zojjNO/
9J5BYmWeX3MtsfjYqDpNOntJgaQpgvF/CU0LJGa0mSs6IsaFSVkBUY5ucFXWtB1o
yiFbXouJM0bF71O5jfF+2nvjZ7ATyBLp/FmB2gsOwSysaFTRcfnVXiY+b5efcS4C
xnh0PB8ajF9+jCN9cpsBMC1Wzb4Bcth7SFhs+vM1+g539AFfg+Lq0gmx+xJjT/AU
d+RF6JUwS1vMPUjcmZRQMBNUyUsKiMR3RRuVz+MxXXBJNf6aJ5OXB7h8zHlYtu7i
z6BMVnT+nZK3oYoJwNUG
=9S2U
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 23 Jun 2011 07:38:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 16:07:47 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.